/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package setup;

import javax.swing.filechooser.FileFilter;
import java.io.*;
import java.util.*;


/**
 * <p>Title: MQC Setup</p>
 * <p>Description: Setup utility for MQC</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Eivind Naess
 * @version 1.0
 */

public class ExportFileFilter extends FileFilter
{
private LinkedList lfilters;

  public ExportFileFilter ()
  {
    lfilters = new LinkedList();
    lfilters.add("bash");
    lfilters.add(".csh");
  }

  public boolean accept (File fName)
  {
    String name = fName.getName();

    if (name.length() > 4 &&
        lfilters.contains(name.substring(name.length()-4)))
    {
      return true;
    }
    return false;
  }
  public String getDescription()
  {
    return "Bash and Csh scripts";
  }
}
