/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

import mqc.*;
import mqc.holders.*;

public class Client
{
	public static void main(String[] args)
	{
		Object object;
		C_ORB orb = new C_ORB();
		System.out.println("ORB created!");

		String corbalocStr = System.getProperty("corbaloc");

		if (corbalocStr != null)
		{
			System.out.println("Using corbaloc property: " + corbalocStr);
			object = orb.corbaloc_to_object(corbalocStr);
		}
		else
		{
			System.out.println("Using args[0]: " + args[0]);
			object = orb.corbaloc_to_object(args[0]);
		}

		System.out.println("corbaloc to object!");

		basic.bank mybank = basic.bankHelper.narrow(object);
		System.out.println("Narrow!");

		short acctNum = mybank.createAccount(100.0f);

		System.out.println("Account " + acctNum + " Created!");

		mybank.deposit(acctNum, 500.0f);

		System.out.println("Deposited $500.00 in account " + acctNum);

		float balance = mybank.checkBalance(acctNum);

		System.out.println("Balance of account " + acctNum + " is $" + balance);
	}
}
