/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

import mqc.*;
import mqc.holders.*;
import java.io.*;

public class Server
{
   public static void main(String[] args)
   {
      S_ORB orb = new S_ORB();
      POA rootPOA = new POA(orb, "RootPOA");
      pingImpl pingObj = new pingImpl();

      Object object = rootPOA.servant_to_reference(pingObj);
      String corbaloc = orb.object_to_corbaloc(object);
      System.out.println("object to corbaloc!");
      System.out.println(corbaloc);
      try
      {
         FileWriter out = new FileWriter(new File("basic.corbaloc"));
         out.write(corbaloc);
         out.close();
      }
      catch(IOException e)
      {
         System.out.println("Error writing corbloc");
         return;
      }

      System.out.println("Waiting for requests...");
      orb.run();
   }
}
