/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

import mqc.*;
import mqc.holders.*;

import java.io.*;
import java.security.InvalidKeyException;

public class Server
{
    public static void main(String[] args)
    {
        S_ORB orb = new S_ORB();
        System.out.println("ORB created!");
        
        //byte[] myKey = "abc".getBytes();
        byte[] myKey = {10};
        try {
            orb.makeCipherKey(myKey);
        }
        catch (InvalidKeyException e) {
            System.out.println(e);
        }

        POA rootPOA = new POA(orb, "RootPOA");
        sec.test1Impl test = new sec.test1Impl();
        
        Object object = rootPOA.servant_to_reference( test );
        String ior = orb.object_to_string(object);
        System.out.println("object to string!");
        
        try {
            FileWriter out = new FileWriter(new File("sec.ior"));
            out.write(ior);
            out.close();
        }
        catch(IOException e) {
            System.out.println("Error writing IOR");
            return;
        }
        System.out.println("Waiting for requests...");
        orb.run();
    }
}
