/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc.protocols;

/**
 * Hello.
 * 
 * enum ReplyStatusType_1_0 {
 *    NO_EXCEPTION,
 *    USER_EXCEPTION,
 *    SYSTEM_EXCEPTION,
 *    LOCATION_FORWARD
 * };
 *
 * struct ReplyHeader_1_0 {
 *    IOP::ServiceContextList   service_context;
 *    unsigned long             request_id;
 *    ReplyStatusType_1_0       reply_status;
 * };
 *
 */
public class GIOPReplyHeader_1_0 extends GIOPReplyHeader
{

   // enum ReplyStatusType_1_0
   public static final int NO_EXCEPTION       = 0;
   public static final int USER_EXCEPTION     = 1;
   public static final int SYSTEM_EXCEPTION   = 2;
   public static final int LOCATION_FORWARD   = 3;

   public GIOPReplyHeader_1_0()
   {
      super();
   }

   public void deMarshal( CDRInputStream in ) throws RuntimeException
   {
      // IOP::ServiceContextList service_context 
      int n = in.readUnsignedLong();
      // SKIP contextlist
      for ( int i=0; i<n; i++) 
      {
         //SeriviceId context_id
         in.readUnsignedLong();
         //sequence<octet> context_data
         in.readOctetSequence();
      }

      // unsigned long request_id
      m_reqID = in.readUnsignedLong();

      // ReplyStatusType_1_0 reply_status
      m_replyStatus = in.readUnsignedLong();

   }

   public void marshal( CDROutputStream out )
   {
      // IOP::ServiceContextList service_context
      out.writeUnsignedLong( 0 ); // List of length 0

      // unsigned long request_id
      out.writeUnsignedLong( m_reqID );

      // ReplyStatusType_1_0 reply_status
      out.writeUnsignedLong( m_replyStatus );
   }
}
