/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc.protocols;

public interface Request extends Marshalable
{
   public int getRequestID();

   public void setRequestID( int id );

   public boolean isOneWay();

   public void setOneWay( boolean oneway );

   public byte[] getObjectKey();

   public void setObjectKey( byte[] key );

   public String getOperation();

   public void setOperation( String op );

   public void setMsgSize( byte[] buf, int size, boolean bigEndian );

   public int getHdrSize();

   public boolean isBigEndian();

   public void setBigEndian( boolean bigEndian );

   public Body getBody();

   public void setBody( Body body );
}
