/* $Id: RawSecretKey.java,v 1.3 2003/05/28 03:35:15 enaess Exp $
 *
 * Copyright (C) 1995-1999 The Cryptix Foundation Limited.
 * All rights reserved.
 *
 * Use, modification, copying and distribution of this software is subject
 * the terms and conditions of the Cryptix General Licence. You should have
 * received a copy of the Cryptix General Licence along with this library;
 * if not, you can download a copy from http://www.cryptix.org/ .
 */
package mqc.security;


import mqc.security.SecretKey;


/**
 * FIXME: make package protected. fix tests first.
 *
 * @version $Revision: 1.3 $
 * @author  Jeroen C. van Gelderen <gelderen@cryptix.org>
 */
public class RawSecretKey implements SecretKey
{
   private final String algorithm;
   private final byte[] keyBytes;


   // FIXME: make protected
   public RawSecretKey(String algorithm, byte[] keyBytes)
   {
      this.algorithm = algorithm;
      //-- clone isn't supported on aJile/CLDC, so the following does not work
      // this.keyBytes  = (byte[])keyBytes.clone();
      //-- so do it manually instead
      this.keyBytes = new byte[keyBytes.length];
      System.arraycopy(keyBytes, 0, this.keyBytes, 0, keyBytes.length);
   }


   public String getAlgorithm()
   {
      return algorithm;
   }


   public String getFormat()
   {
      return "RAW";
   }


   public byte[] getEncoded()
   {
      //-- clone isn't supported on aJile/CLDC, so the following does not work
      // return (byte[])keyBytes.clone();
      //-- so do it manually instead
      byte[] kb = new byte[keyBytes.length];
      System.arraycopy(keyBytes, 0, kb, 0, keyBytes.length);
      return kb;

   }
}
